First time here? Check out the FAQ!
x

Compatibility with Mac OSX Mavericks 10.9.5.

0 votes
asked Mar 9 by Ken Arnoldi about Jane Greenoff Cross Stitch Designer
edited Mar 21 by Robert Polubinski

I have ver 1.50 for Apple Macintosh. Is this version OK for Mac OSX 10.9.5?

1 Answer

0 votes
answered Mar 21 by Robert Polubinski (221,940 points)

No, the version that you have isn't compatible with the Mac OSX 10.9.5. You will need an update to make it work on that version of Mac, unfortunately it's impossible to download a new version of the software since it appears to be discontinued. Mac isn't working like Windows, to try compatibility tweaks therefore you have to use the only version that you have with an older version of Mac OSX.

Additionally, you could try SheepSaver to emulate older versions of Mac OS: http://www.emaculation.com/doku.php/sheepshaver

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...